import java.util.*;
import java.io.*;

/**************************************************************************
This class contain information about each row in the databse.
**************************************************************************/

public class Tuple
	{
	int recordNumber;
	String origin;
	String cylinders;
	String mpg;
	String acceleration;
	String modelYear;
	String displacement;
 	String horsePower;
	String weight;
   /***************************************************************/
	Tuple() {}
	/***************************************************************
	Processes a raw line read from the database in order to get the 
	attribute values
	****************************************************************/
	Tuple(String line, int lineCount)
		{
		int index;
		int start = 0;

		recordNumber = lineCount;
		index = line.indexOf(' ');
		origin = line.substring(start, index);
		origin = origin.concat("(o)");
		start = index + 1;
		index = line.indexOf(' ', start);
		cylinders = line.substring(start, index);
		cylinders = cylinders.concat("(c)");
		start = index + 1;
		index = line.indexOf(' ', start);
		mpg = line.substring(start, index);
		mpg = mpg.concat("(m)");
		start = index + 1;
		index = line.indexOf(' ', start); 
		acceleration = line.substring(start, index);
		acceleration = acceleration.concat("(a)");
		start = index + 1;
		index = line.indexOf(' ', start);
		modelYear = line.substring(start, index);
		modelYear = modelYear.concat("(y)");
		start = index + 1;
		index = line.indexOf(' ', start);
		displacement = line.substring(start, index);
		displacement = displacement.concat("(d)");
		start = index + 1;
		index = line.indexOf(' ', start);
	 	horsePower = line.substring(start, index);
		horsePower = horsePower.concat("(h)");
		start = index + 1;
		weight = line.substring(start, line.length());
		weight = weight.concat("(w)");
		}
   /***************************************************************
   	Prints a row from the database.
   ****************************************************************/
	public void printTuple()
		{
		System.out.print(recordNumber+","+origin+","+cylinders);
		System.out.print(","+mpg+","+acceleration+","+modelYear+",");
		System.out.print(displacement+","+horsePower+","+weight);
		System.out.println();
		}
	/***************************************************************
	Returns the value of an attribute inside the current tuple based
	on its abbreviation (o - origin, c - cylinders, m - mpg, 
	a - acceleration, y - model year, d - displacement, h -
	horsepower, w - weight.)
	****************************************************************/
	public 	String returnAttributeValue(char rowtype)
		{
		String value = " ";
		switch(rowtype)
			{
			case 'o'	: value = origin;
							break;
			case 'c'	: value = cylinders;
							break;
			case 'm'	:	value = mpg;
							break;
			case 'a'	:	value = acceleration;
							break;
			case 'y'	:	value = modelYear;
							break;
			case 'd'	:	value = displacement;
							break;
			case 'h'	:	value = horsePower;
							break;
			case 'w'	:	value = weight;
							break;
			}
		return value;
		}
	} // class
